Package org.jfree.report.data

# Class RunningExpressionSlot

java.lang.Object
org.jfree.report.data.RunningExpressionSlot

All Implemented Interfaces:
  `Cloneable`, `ExpressionSlot`, `ExpressionRuntime`

public class RunningExpressionSlot extends Object implements ExpressionSlot, ExpressionRuntime
Creation-Date: 25.11.2006, 15:18:58

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`RunningExpressionSlot(Expression expression, StaticExpressionRuntimeData runtimeData, PrecomputeNode precomputeNode)`

## Method Summary

Modifier and Type
Method
Description
`void`
`advance()`
`Object`
`clone()`
`org.pentaho.reporting.libraries.base.config.Configuration`
`getConfiguration()`
`int`
`getCurrentRow()`
`ReportData`
`getData()`
Returns the report data used in this section.
`DataRow`
`getDataRow()`
Returns the datarow.
`Object`
`getDeclaringParent()`
`Expression`
`getExpression()`
`String`
`getName()`
`ReportContext`
`getReportContext()`
`ResourceBundleFactory`
`getResourceBundleFactory()`
`Object`
`getValue()`
`boolean`
`isDeepTraversing()`
`boolean`
`isPreserve()`
`void`
`updateDataRow(DataRow dataRow)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RunningExpressionSlot

public RunningExpressionSlot(Expression expression, StaticExpressionRuntimeData runtimeData, PrecomputeNode precomputeNode)

## Method Details

### getExpression

public Expression getExpression()

### getValue

public Object getValue() throws DataSourceException

Specified by:
  `getValue` in interface `ExpressionSlot`
Throws:
  `DataSourceException`

### getName

public String getName()

Specified by:
  `getName` in interface `ExpressionSlot`

### getDataRow

public DataRow getDataRow()
Description copied from interface: `ExpressionRuntime`
Returns the datarow.

Specified by:
  `getDataRow` in interface `ExpressionRuntime`
Returns:

### clone

public Object clone() throws CloneNotSupportedException

Specified by:
  `clone` in interface `ExpressionSlot`
Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

### updateDataRow

public void updateDataRow(DataRow dataRow)

Specified by:
  `updateDataRow` in interface `ExpressionSlot`

### getData

public ReportData getData()
Returns the report data used in this section. If subreports are used, this does not reflect the complete report data.

All access to the report data must be properly synchronized. Failure to do so may result in funny results. Do not assume that the report data will be initialized on the current cursor positon.

Specified by:
  `getData` in interface `ExpressionRuntime`
Returns:
See Also:
  - `ExpressionRuntime.getCurrentRow()`

### getDeclaringParent

public Object getDeclaringParent()

Specified by:
  `getDeclaringParent` in interface `ExpressionRuntime`

### getConfiguration

public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

Specified by:
  `getConfiguration` in interface `ExpressionRuntime`

### getResourceBundleFactory

public ResourceBundleFactory getResourceBundleFactory()

Specified by:
  `getResourceBundleFactory` in interface `ExpressionRuntime`

### advance

public void advance() throws DataSourceException

Specified by:
  `advance` in interface `ExpressionSlot`
Throws:
  `DataSourceException`

### isDeepTraversing

public boolean isDeepTraversing()

Specified by:
  `isDeepTraversing` in interface `ExpressionSlot`

### getCurrentRow

public int getCurrentRow()

Specified by:
  `getCurrentRow` in interface `ExpressionRuntime`

### getReportContext

public ReportContext getReportContext()

Specified by:
  `getReportContext` in interface `ExpressionRuntime`

### isPreserve

public boolean isPreserve()

Specified by:
  `isPreserve` in interface `ExpressionSlot`